## subliminal 0.7.4

=== requirements.txt ===
beautifulsoup4>=4.3.2
guessit>=0.6.2,<0.7
requests>=2.0.1
enzyme>=0.4.0
html5lib>=0.99
dogpile.cache>=0.5.2
babelfish>=0.4.0,<0.5
charade>=1.0.3
pysrt>=0.5.0

=== debian/changelog ===
subliminal (0.7.4-1) unstable; urgency=low

  * Initial release. (Closes: #729781)

 -- Etienne Millon <me@emillon.org>  Sat, 16 Nov 2013 14:25:31 +0100

=== debian/control ===
Source: subliminal
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Etienne Millon <me@emillon.org>,
 Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>,
Standards-Version: 3.9.5
Homepage: https://github.com/Diaoul/subliminal
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/subliminal/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/subliminal/trunk/
Build-Depends:
 debhelper (>= 9),
 dh-python,
 help2man,
 python,
 python-setuptools,
 python3,
 python3-babelfish,
 python3-bs4,
 python3-dogpile.cache,
 python3-enzyme,
 python3-guessit,
 python3-html5lib,
 python3-pysrt,
 python3-requests,
 python3-setuptools,
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-subliminal
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: Python library to search and download subtitles (python2 version)
 It comes with an easy to use CLI (command-line interface) suitable for direct
 use or cron jobs.
 .
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.
 .
 This package contains only the python2 version.

Package: python3-subliminal
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to search and download subtitles (python3 version)
 It comes with an easy to use CLI (command-line interface) suitable for direct
 use or cron jobs.
 .
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.
 .
 This package contains the python3 version.

Package: subliminal
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 python3-subliminal
Description: Command-line tool to search and download subtitles
 This is an easy to use CLI (command-line interface) tool suitable for direct
 use or cron jobs.
 .
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=subliminal

# Disable test suite as it requires a network connection
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_install:
	dh_install
	rm -r debian/python-subliminal/usr/bin/
	mkdir -p debian/subliminal/usr
	mv debian/python3-subliminal/usr/bin debian/subliminal/usr

override_dh_installman:
	PYTHONPATH=. help2man -N -n 'tool to search and download subtitles' debian/subliminal/usr/bin/subliminal > debian/subliminal.1
	dh_installman

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/s/subliminal/subliminal-(.*).tar.gz

## subliminal 1.1.1

=== debian/changelog ===
subliminal (1.1.1-2) unstable; urgency=medium

  * Section is "video" for the subliminal binary package (Closes: #818333)
  * Ship Nautilus extension as subliminal-nautilus (Closes: #821455)
  * Bump Standards-Version to 3.9.8 (no changes)

 -- Etienne Millon <me@emillon.org>  Sat, 30 Apr 2016 19:29:54 +0200

subliminal (1.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #812211, #773381, #814848, #774064)
  * debian/watch: use pypi redirector
  * Bump Standard-Version to 3.9.6 (no changes)
  * Use a https URI for Vcs-Git

 -- Etienne Millon <me@emillon.org>  Wed, 26 Aug 2015 22:28:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Etienne Millon <me@emillon.org>,
  Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/Diaoul/subliminal
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/subliminal/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/subliminal/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/subliminal.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/subliminal.git
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -18,6 +18,7 @@
  python3,
  python3-babelfish,
  python3-bs4,
+ python3-click,
  python3-dogpile.cache,
  python3-enzyme,
  python3-guessit,
@@ -25,6 +26,7 @@
  python3-pysrt,
  python3-requests,
  python3-setuptools,
+ python3-six,
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 
@@ -59,6 +61,7 @@
  This package contains the python3 version.
 
 Package: subliminal
+Section: video
 Architecture: all
 Depends:
  ${misc:Depends},
@@ -71,3 +74,18 @@
  Subliminal uses multiple providers to give users a vast choice and have a
  better chance to find the best matching subtitles. Providers are extensible
  through a dedicated entry point.
+
+Package: subliminal-nautilus
+Section: video
+Architecture: all
+Depends:
+ ${misc:Depends},
+ python-nautilus,
+ python-subliminal,
+Description: Nautilus extension to search and download subtitles
+ Subliminal uses multiple providers to give users a vast choice and have a
+ better chance to find the best matching subtitles. Providers are extensible
+ through a dedicated entry point.
+ .
+ This package contains an extension for nautilus that makes it possible to
+ download subtitles directly from the file explorer.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=subliminal

# Disable test suite as it requires a network connection
export PYBUILD_DISABLE=test

NAUTILUS_EXT_DIR=debian/subliminal-nautilus/usr/share/nautilus-python/extensions

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_install:
	dh_install
	rm -r debian/python-subliminal/usr/bin/
	mkdir -p debian/subliminal/usr
	mv debian/python3-subliminal/usr/bin debian/subliminal/usr
	mkdir -p $(NAUTILUS_EXT_DIR)
	cp examples/nautilus.py $(NAUTILUS_EXT_DIR)/subliminal-nautilus.py
	mkdir -p $(NAUTILUS_EXT_DIR)/subliminal/ui
	cp -R examples/ui $(NAUTILUS_EXT_DIR)/subliminal/
	for lang in de es fr it pt_BR pt ru tr; do \
	    mkdir -p $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES ;\
	    msgfmt examples/i18n/$$lang.po -o $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES/subliminal.mo ;\
	done

override_dh_installman:
	PYTHONPATH=. help2man -L C.UTF-8 -N -n 'tool to search and download subtitles' debian/subliminal/usr/bin/subliminal > debian/subliminal.1
	dh_installman

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/subliminal/subliminal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## subliminal 2.0.5

=== debian/changelog ===
subliminal (2.0.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Håvard Flaget Aasen ]
  * Bump debhelper to 12
  * subliminal-nautilus depends on python3-nautilus. Closes: #942779, #938575

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 16:06:23 -0500

subliminal (2.0.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuilt with python3-guessit (>= 2.0.1).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2019 01:22:31 +0200

subliminal (2.0.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support (Closes: #938575).
  * New upstream release (Closes: #851535, #850098).
  * Fix installing files.
  * Reorder d/control in a more standard way.
  * Add python3-fix.patch.
  * Add override_dh_auto_install.
  * No need to override_dh_installman:.
  * Add fix-unexpected-indent.patch.
  * Removed help2man hack.
  * Ran wrap-and-sort, add python3:Depends to Packages: subliminal,
    call dh_python3 to fix the shebang.
  * Fix runtime and build depends. Note that we need python3-guessit
    (>= 2.0.1), but that's not yet in Debian.
  * Standards-Version bump to 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2019 23:59:15 +0200

=== debian/control ===
Source: subliminal
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Etienne Millon <me@emillon.org>,
 Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-html5lib,
 python3-guessit (>= 2.0.1),
 python3-babelfish,
 python3-enzyme,
 python3-bs4,
 python3-requests,
 python3-click,
 python3-dogpile.cache,
 python3-stevedore,
 python3-chardet,
 python3-pysrt,
 python3-six,
 python3-appdirs,
 python3-rarfile,
 python3-tz,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/subliminal.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/subliminal
Homepage: https://github.com/Diaoul/subliminal

Package: python3-subliminal
Architecture: all
Depends:
 python3-html5lib,
 python3-guessit (>= 2.0.1),
 python3-babelfish,
 python3-enzyme,
 python3-bs4,
 python3-requests,
 python3-click,
 python3-dogpile.cache,
 python3-stevedore,
 python3-chardet,
 python3-pysrt,
 python3-six,
 python3-appdirs,
 python3-rarfile,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Python library to search and download subtitles (python3 version)
 It comes with an easy to use CLI (command-line interface) suitable for direct
 use or cron jobs.
 .
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.
 .
 This package contains the python3 version.

Package: subliminal
Section: video
Architecture: all
Depends:
 python3-subliminal (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Command-line tool to search and download subtitles
 This is an easy to use CLI (command-line interface) tool suitable for direct
 use or cron jobs.
 .
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.

Package: subliminal-nautilus
Section: video
Architecture: all
Depends:
 python3-nautilus,
 python3-subliminal (= ${binary:Version}),
 ${misc:Depends},
Description: Nautilus extension to search and download subtitles
 Subliminal uses multiple providers to give users a vast choice and have a
 better chance to find the best matching subtitles. Providers are extensible
 through a dedicated entry point.
 .
 This package contains an extension for nautilus that makes it possible to
 download subtitles directly from the file explorer.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=subliminal

# Disable test suite as it requires a network connection
export PYBUILD_DISABLE=test

NAUTILUS_EXT_DIR=debian/subliminal-nautilus/usr/share/nautilus-python/extensions

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst


override_dh_auto_install:
	for i in `py3versions -s` ; do \
		$$i setup.py install --root $(CURDIR)/debian/tmp --install-layout=deb ; \
	done

override_dh_install:
	dh_install

	mkdir -p $(NAUTILUS_EXT_DIR)/subliminal
	cp examples/nautilus.py $(NAUTILUS_EXT_DIR)/subliminal-nautilus.py
	cp -R examples/ui $(NAUTILUS_EXT_DIR)/subliminal/

	for lang in de es fr it pt_BR pt ru tr; do \
	    mkdir -p $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES ;\
	    msgfmt examples/i18n/$$lang.po -o $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES/subliminal.mo ;\
	done

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/subliminal/subliminal-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## subliminal 2.1.0

=== debian/changelog ===
subliminal (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Drop nautilus extension: it uses GTK3 but Nautilus 43 uses GTK4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 08:45:50 -0400

subliminal (2.1.0-2) unstable; urgency=medium

  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 17:21:13 +0100

subliminal (2.1.0-1) unstable; urgency=medium

  * Team upload.
  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.1.0 Closes: #961338
  * Rebase patches
  * d/patches: Update 0001-Examples-directory.patch Closes: #955125
  * d/control:
    - Update maintainer field to Debian Python Team
    - Update Vcs-* fields with new Debian Python Team layout
    - Bump debhelper to 13
    - Add Rules-Requires-Root: no
  * d/copyright: Update copyright year
  * d/rules: Remove testsuite override
    source from PyPi does not include tests
  * d/salsa-ci.yml: Add Salsa CI

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Tue, 22 Sep 2020 20:20:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: subliminal
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Etienne Millon <me@emillon.org>,
  Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -26,9 +26,10 @@
  python3-appdirs,
  python3-rarfile,
  python3-tz,
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/python-team/modules/subliminal.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/subliminal
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/subliminal.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/subliminal
 Homepage: https://github.com/Diaoul/subliminal
 
 Package: python3-subliminal
@@ -76,17 +77,17 @@
  better chance to find the best matching subtitles. Providers are extensible
  through a dedicated entry point.
 
-Package: subliminal-nautilus
-Section: video
-Architecture: all
-Depends:
- python3-nautilus,
- python3-subliminal (= ${binary:Version}),
- ${misc:Depends},
-Description: Nautilus extension to search and download subtitles
- Subliminal uses multiple providers to give users a vast choice and have a
- better chance to find the best matching subtitles. Providers are extensible
- through a dedicated entry point.
- .
- This package contains an extension for nautilus that makes it possible to
- download subtitles directly from the file explorer.
+#Package: subliminal-nautilus
+#Section: video
+#Architecture: all
+#Depends:
+# python3-nautilus,
+# python3-subliminal (= ${binary:Version}),
+# ${misc:Depends},
+#Description: Nautilus extension to search and download subtitles
+# Subliminal uses multiple providers to give users a vast choice and have a
+# better chance to find the best matching subtitles. Providers are extensible
+# through a dedicated entry point.
+# .
+# This package contains an extension for nautilus that makes it possible to
+# download subtitles directly from the file explorer.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,5 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=subliminal
-
-# Disable test suite as it requires a network connection
-export PYBUILD_DISABLE=test
 
 NAUTILUS_EXT_DIR=debian/subliminal-nautilus/usr/share/nautilus-python/extensions
 
@@ -21,9 +18,9 @@
 override_dh_install:
 	dh_install
 
-	mkdir -p $(NAUTILUS_EXT_DIR)/subliminal
-	cp examples/nautilus.py $(NAUTILUS_EXT_DIR)/subliminal-nautilus.py
-	cp -R examples/ui $(NAUTILUS_EXT_DIR)/subliminal/
+#	mkdir -p $(NAUTILUS_EXT_DIR)/subliminal
+#	cp examples/nautilus.py $(NAUTILUS_EXT_DIR)/subliminal-nautilus.py
+#	cp -R examples/ui $(NAUTILUS_EXT_DIR)/subliminal/
 
 	for lang in de es fr it pt_BR pt ru tr; do \
 	    mkdir -p $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES ;\

## subliminal 2.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n -W
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/subliminal.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/subliminal.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/subliminal"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/subliminal"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
subliminal (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-tomli,
    next upstream version switched to python3-tomlkit.

  [ Kaua Vinicius ]
  * Updating watch file to version 4
  * d/subliminal.1: Add Manual-Page to packing

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 16:31:40 +0200

subliminal (2.2.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.2.0 (LP: #2046672)
  * Standards-Version: 4.7.0 (routine-update)
  * Update (build-)dependencies:
    - python3-appdirs (Closes: #1068012)
    - python3-pysrt
    - python3-six
    - python3-tz
    + pybuild-plugin-pyproject
    + python3-click-option-group
    + python3-platformdirs
    + python3-srt
    + python3-tomli
    + python3-pysubs2

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jul 2024 22:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
@@ -21,12 +22,14 @@
  python3-dogpile.cache,
  python3-stevedore,
  python3-chardet,
- python3-pysrt,
- python3-six,
- python3-appdirs,
  python3-rarfile,
- python3-tz,
-Standards-Version: 4.5.1
+ python3-platformdirs,
+ python3-click-option-group,
+ python3-srt,
+# python3-vcr,
+ python3-pysubs2,
+# python3-pytest,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/subliminal.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/subliminal
@@ -45,11 +48,10 @@
  python3-dogpile.cache,
  python3-stevedore,
  python3-chardet,
- python3-pysrt,
- python3-six,
- python3-appdirs,
  python3-rarfile,
- python3-tz,
+ python3-platformdirs,
+ python3-click-option-group,
+ python3-srt,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python library to search and download subtitles (python3 version)

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=subliminal

NAUTILUS_EXT_DIR=debian/subliminal-nautilus/usr/share/nautilus-python/extensions

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

execute_after_dh_install:
	mkdir -p debian/subliminal/usr/bin/
	mv debian/python3-subliminal/usr/bin/subliminal debian/subliminal/usr/bin/
	rmdir debian/python3-subliminal/usr/bin/

#	mkdir -p $(NAUTILUS_EXT_DIR)/subliminal
#	cp examples/nautilus.py $(NAUTILUS_EXT_DIR)/subliminal-nautilus.py
#	cp -R examples/ui $(NAUTILUS_EXT_DIR)/subliminal/

#	for lang in de es fr it pt_BR pt ru tr; do \
#	    mkdir -p $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES ;\
#	    msgfmt examples/i18n/$$lang.po -o $(NAUTILUS_EXT_DIR)/subliminal/locale/$$lang/LC_MESSAGES/subliminal.mo ;\
#	done

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/subliminal/subliminal-(\d\S*)\.(?:zip|tgz|tbz|txz|tar\.(?:gz|bz2|xz))
